using FindReplace.Interfaces;


/*
 * Copyright 2007 Lee Glasser
 * 
 * This code is distributed under the terms of the GNU General Public License
 * (GPL).
 * 
 * This file is part of the Includes package.
 * 
 * "Includes.FindReplace" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * "Includes.FindReplace" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with "Includes.FindReplace."  If not, see <http://www.gnu.org/licenses/>.
 */


namespace FindReplace.Types
{
    /// <summary>
    /// Strongly typed (int) class derived from IFound used for returning 1D results.
    /// </summary>
    public class Found1D : IFound<int>
    {
        private int _Origin;
        public int Origin
        {
            get { return _Origin; }
            set { _Origin = value; }
        }

        private int _End;
        public int End
        {
            get { return _End; }
            set { _End = value; }
        }

        public Found1D()
        {
        }
        public Found1D(int origin, int end)
        {
            _Origin = origin;
            _End = end;
        }

        /// <summary>
        /// Converts the contained data into a string.
        /// </summary>
        /// <returns>Zero-based: "(origin) (end)"</returns>
        public new string ToString()
        {
            return "(" + _Origin + ") (" + _End + ")";
        }
        /// <summary>
        /// Converts the contained data into a string.
        /// </summary>
        /// <returns>One-based: "(origin) (end)"</returns>
        public string ToStringCounting()
        {
            return "(" + (_Origin + 1) + ") (" + (_End + 1) + ")";
        }
    }
}
