using FindReplace.Interfaces;


/*
 * Copyright 2007 Lee Glasser
 * 
 * This code is distributed under the terms of the GNU General Public License
 * (GPL).
 * 
 * This file is part of the Includes package.
 * 
 * "Includes.FindReplace" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * "Includes.FindReplace" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with "Includes.FindReplace."  If not, see <http://www.gnu.org/licenses/>.
 */


namespace FindReplace.Types
{
    /// <summary>
    /// Defines a 3D point (x, y, z).
    /// </summary>
    public class Point3D : IPoint3D<int>
    {
        private int _X;
        public int X
        {
            get { return _X; }
            set { _X = value; }
        }

        private int _Y;
        public int Y
        {
            get { return _Y; }
            set { _Y = value; }
        }

        private int _Z;
        public int Z
        {
            get { return _Z; }
            set { _Z = value; }
        }
        
        public Point3D()
        {
        }
        public Point3D(int x, int y, int z)
        {
            _X = x;
            _Y = y;
            _Z = z;
        }
    }
}
